common:
    macros:
        - OS_TICK_FREQ=100

# Use irq_cm3 instead of irq_cm4f because DAPLink doesn't use float,
# and the k20dx doesn't have the FP extension.
tool_specific:
    uvision:
        macros:
            - USE_LEGACY_CMSIS_RTOS
            - OS_TICK=10000
        includes:
            - source/rtos
        sources:
            rtos:
                - source/rtos/cm3
                - source/rtos/ARM/SVC_Table.s
                - source/rtos/rt_Event.c
                - source/rtos/rt_List.c
                - source/rtos/rt_Mailbox.c
                - source/rtos/rt_MemBox.c
                - source/rtos/rt_Mutex.c
                - source/rtos/rt_Robin.c
                - source/rtos/rt_Semaphore.c
                - source/rtos/rt_System.c
                - source/rtos/rt_Task.c
                - source/rtos/rt_Time.c
                - source/rtos/rt_Timer.c
                - source/rtos/RTX_Config.c
                - source/rtos/cmsis_os2_port.c
    armcc:
        macros:
            - USE_LEGACY_CMSIS_RTOS
            - OS_TICK=10000
        includes:
            - source/rtos
        sources:
            rtos:
                - source/rtos/cm3
                - source/rtos/ARM/SVC_Table.s
                - source/rtos/rt_Event.c
                - source/rtos/rt_List.c
                - source/rtos/rt_Mailbox.c
                - source/rtos/rt_MemBox.c
                - source/rtos/rt_Mutex.c
                - source/rtos/rt_Robin.c
                - source/rtos/rt_Semaphore.c
                - source/rtos/rt_System.c
                - source/rtos/rt_Task.c
                - source/rtos/rt_Time.c
                - source/rtos/rt_Timer.c
                - source/rtos/RTX_Config.c
                - source/rtos/cmsis_os2_port.c
    armclang:
        includes:
            - source/rtos2/Include
            - source/rtos2/RTX/Include
        sources:
            rtos:
                - source/rtos2/RTX/Source/ARM/irq_cm3.s
                - source/rtos2/RTX/Config/RTX_Config.c
                - source/rtos2/RTX/Source/rtx_delay.c
                - source/rtos2/RTX/Source/rtx_evr.c
                - source/rtos2/RTX/Source/rtx_kernel.c
                - source/rtos2/RTX/Source/rtx_lib.c
                - source/rtos2/RTX/Source/rtx_memory.c
                - source/rtos2/RTX/Source/rtx_mempool.c
                - source/rtos2/RTX/Source/rtx_msgqueue.c
                - source/rtos2/RTX/Source/rtx_mutex.c
                - source/rtos2/RTX/Source/rtx_system.c
                - source/rtos2/RTX/Source/rtx_thread.c
                - source/rtos2/RTX/Source/rtx_timer.c
                - source/rtos2/Source/os_systick.c
    gcc_arm:
        includes:
            - source/rtos2/Include
            - source/rtos2/RTX/Include
        sources:
            rtos:
                - source/rtos2/RTX/Source/GCC/irq_cm3.S
                - source/rtos2/RTX/Config/RTX_Config.c
                - source/rtos2/RTX/Source/rtx_delay.c
                - source/rtos2/RTX/Source/rtx_evr.c
                - source/rtos2/RTX/Source/rtx_kernel.c
                - source/rtos2/RTX/Source/rtx_lib.c
                - source/rtos2/RTX/Source/rtx_memory.c
                - source/rtos2/RTX/Source/rtx_mempool.c
                - source/rtos2/RTX/Source/rtx_msgqueue.c
                - source/rtos2/RTX/Source/rtx_mutex.c
                - source/rtos2/RTX/Source/rtx_system.c
                - source/rtos2/RTX/Source/rtx_thread.c
                - source/rtos2/RTX/Source/rtx_timer.c
                - source/rtos2/Source/os_systick.c
